[RISOLTO] kernel - errore PCH transcoder

Questioni legate al Kernel Linux: configurazione, installazione, ottimizzazione, patch

[RISOLTO] kernel - errore PCH transcoder

Messaggioda Selky » 26/02/2015, 15:36

Stanotte ho cancellato il thread per sbaglio, riscrivo.

Ciao
da quando su Wheezy ho aggiornato al kernel 3.16 prelevandolo dai backport, durante il boot all'avvio del sistema visualizzo diversi errori e avvisi tra i quali questi:
Codice: Seleziona tutto
[drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo underrun on pch transcoder A
[drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun

errori segnalati alla voce
Codice: Seleziona tutto
dmesg -l err
consultabili nel file log che allego.

Ho provato a documentarmi ma le mie conoscenze non mi permettono di comprendere se possono creare problemi seri o meno e chiedo un vostro aiuto.
Nel file risulterà disabilitato NetworkManger perchè non ci serve e la webcam integrata l'ho messa in blacklist quindi pure questa non ha il corrispettivo attivato.
Ultima modifica di Selky il 26/08/2015, 22:39, modificato 4 volte in totale.
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00


Re: kernel 3.16 - errore PCH transcoder

Messaggioda Selky » 27/02/2015, 15:31

Grazie per essere intervenuto.
Sì avevo letto qualcosa ma erano altre distro (arch, fedora, ecc...) o parlavano di passaggi da Wheezy a Jessie e che fosse collegato a qualche configurazione di quest'ultima.

intel-microcode proprio non lo conoscevo. Sinceramente non mi fido di queste pezze e non mi va di rischiare con pacchetti che nonostante siano nei backport di debian stable (li ritenevo sicuri, errore mio.) non mi garantiscono nulla.

Ho risolto eliminando il problema alla radice, tornando al kernel 3.14 che fortunatamente ho conservato.
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: kernel 3.16 - errore PCH transcoder

Messaggioda s3v » 27/02/2015, 17:09

Insomma...pezza...
Io con quel pacchetto ho almeno risolto il boot del netbook con il 3.16, prima non si avviava nemmeno.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5587
Iscritto il: 31/12/2008, 11:54

Re: kernel 3.16 - errore PCH transcoder

Messaggioda Selky » 27/02/2015, 18:45

Termine "pezza" inteso come "provo e vedo che succede".
È un approccio che non posso permettermi. Dovesse andare a ramengo qualcosa non saprei come risolvere e a chi rivolgermi.
Per questo preferisco non rischiare.
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: kernel 3.16 - errore PCH transcoder

Messaggioda s3v » 27/02/2015, 19:10

Ok.
In questo caso prendi in considerazione la rimozione del tag [Risolto] dal titolo almeno fino a quando il bug non sarà risolto. Vista anche la genericità del titolo, leggerebbero questa discussione tante persone con i più vari problemi con il 3.16 e resterebbero un po' disorientati (eufemismo) a leggere di dover installare il 3.14 .
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5587
Iscritto il: 31/12/2008, 11:54

Re: Wheezy kernel 3.16 backport - errore PCH transcoder

Messaggioda Selky » 27/02/2015, 20:52

Alla fine ho provato ad installare intel-microcode con relativa dipendenza e non poche parole alle spalle.

Non risolve la situazione e il problema segnalato rimane. :-\
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: Wheezy kernel 3.16 backport - errore PCH transcoder

Messaggioda Selky » 26/08/2015, 22:37

Sono trascorsi 6 mesi, sono passata a Jessie ,la mia versione del kernel è sempre la 3.16 ma dalle segnalazioni lette nelle pagine di bug il problema/bug rimane anche con versioni successive, quindi modifico titolo.
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: kernel 3.16 - errore PCH transcoder

Messaggioda Selky » 31/03/2016, 15:59

Non mi è più possibile modificare il titolo.

L'errore del kernel si presentava nella 3.16. Nonostante gli aggiornamenti, è stato sempre presente anche nelle versioni successive, attualmente ho la 4.4 e da agosto 2015 sono su Jessie.


Cortesemente qualcuno con i super poteri può cortesemente togliere dal titolo il numero di versione del Kernel e lasciare solo kernel e errore?!
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: kernel - errore PCH transcoder

Messaggioda marcomg » 01/04/2016, 15:31

Modifica fatta: va bene? Comunque che errore ti da? Che sia stato inserito un numero di modifiche massimo? ???
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Hero Member
Hero Member
 
Messaggi: 5570
Iscritto il: 22/08/2011, 18:54

Re: kernel - errore PCH transcoder

Messaggioda s3v » 01/04/2016, 16:56

Potresti cortesemente fornire l'output di:
Codice: Seleziona tutto
$ dpkg -l | grep -i xserver

e il modello della scheda video?
Codice: Seleziona tutto
$ lspci -v

Lascia perdere quello che ho scritto. L'errore è stato corretto ma, a quanto leggo e se interpreto bene, ancora non introdotto nel kernel upstream.
https://bugs.freedesktop.org/show_bug.cgi?id=89806#c2
Provato con il kernel 4.5 da experimental?
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5587
Iscritto il: 31/12/2008, 11:54

Re: kernel - errore PCH transcoder

Messaggioda Selky » 01/04/2016, 17:40

@marco
grazie, va bene :)
Nessun errore, mancano le diciture modifica e cancella nei post vecchi dell'anno scorso.

@s3v
ringrazio anche te. :)
Non ho provato con la versione in experimental, stasera se riesco, tento e faccio sapere. Su questo pc sono limitata per vari motivi, anche di connessione.
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: kernel - errore PCH transcoder

Messaggioda s3v » 01/04/2016, 20:48

Il commit con la patch è questo: https://cgit.freedesktop.org/drm-intel/ ... c9c4bf8826
È stato incluso nel kernel 4.5 (link riga 4947 etc.).
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5587
Iscritto il: 31/12/2008, 11:54

Re: kernel - errore PCH transcoder

Messaggioda Selky » 04/04/2016, 16:11

s3v ti ringrazio per l'aiuto, rimando la questione. Per mia incompetenza, non ho capito quale sia il pacchetto da installare e ho paura di combinare danni. :-[
Se e quando arriverà con diciture a me più familiari, tenterò.
Grazie ancora.
Selky
wiki member
wiki member
 
Messaggi: 1418
Iscritto il: 30/12/2011, 1:00

Re: kernel - errore PCH transcoder

Messaggioda s3v » 04/04/2016, 20:18

Da qui: https://packages.qa.debian.org/l/linux/ ... 0125Z.html
Codice: Seleziona tutto
 linux-image-4.5.0-trunk-5kc-malta - Linux 4.5 for MIPS Malta (64-bit)
 linux-image-4.5.0-trunk-686 - Linux 4.5 for older PCs
 linux-image-4.5.0-trunk-686-pae - Linux 4.5 for modern PCs
 linux-image-4.5.0-trunk-686-pae-dbg - Debugging symbols for Linux 4.5.0-trunk-686-pae
 linux-image-4.5.0-trunk-alpha-generic - Linux 4.5 for Alpha
 linux-image-4.5.0-trunk-alpha-smp - Linux 4.5 for Alpha SMP
 linux-image-4.5.0-trunk-amd64 - Linux 4.5 for 64-bit PCs
 linux-image-4.5.0-trunk-amd64-dbg - Debugging symbols for Linux 4.5.0-trunk-amd64
 linux-image-4.5.0-trunk-arm64 - Linux 4.5 for 64-bit ARMv8 machines
 linux-image-4.5.0-trunk-arm64-dbg - Debugging symbols for Linux 4.5.0-trunk-arm64
 linux-image-4.5.0-trunk-armmp - Linux 4.5 for ARMv7 multiplatform compatible SoCs
 linux-image-4.5.0-trunk-armmp-lpae - Linux 4.5 for ARMv7 multiplatform compatible SoCs supporting LPAE
 linux-image-4.5.0-trunk-loongson-2e - Linux 4.5 for Loongson 2E
 linux-image-4.5.0-trunk-loongson-2f - Linux 4.5 for Loongson 2F
 linux-image-4.5.0-trunk-loongson-3 - Linux 4.5 for Loongson 3A/3B
 linux-image-4.5.0-trunk-m68k - Linux 4.5 for Motorola MC68020+ family
 linux-image-4.5.0-trunk-marvell - Linux 4.5 for Marvell Kirkwood/Orion
 linux-image-4.5.0-trunk-octeon - Linux 4.5 for Octeon
 linux-image-4.5.0-trunk-parisc - Linux 4.5 for 32-bit PA-RISC
 linux-image-4.5.0-trunk-parisc64-smp - Linux 4.5 for multiprocessor 64-bit PA-RISC
 linux-image-4.5.0-trunk-powerpc - Linux 4.5 for uniprocessor 32-bit PowerPC
 linux-image-4.5.0-trunk-powerpc-smp - Linux 4.5 for multiprocessor 32-bit PowerPC
 linux-image-4.5.0-trunk-powerpc64 - Linux 4.5 for 64-bit PowerPC
 linux-image-4.5.0-trunk-powerpc64le - Linux 4.5 for Little-endian 64-bit PowerPC
 linux-image-4.5.0-trunk-powerpcspe - Linux 4.5 for 32-bit PowerPC with SPE (instead of AltiVec) with S
 linux-image-4.5.0-trunk-s390x - Linux 4.5 for IBM zSeries
 linux-image-4.5.0-trunk-s390x-dbg - Debugging symbols for Linux 4.5.0-trunk-s390x
 linux-image-4.5.0-trunk-sh7751r - Linux 4.5 for sh7751r
 linux-image-4.5.0-trunk-sh7785lcr - Linux 4.5 for sh7785lcr
 linux-image-4.5.0-trunk-sparc64 - Linux 4.5 for uniprocessor 64-bit UltraSPARC
 linux-image-4.5.0-trunk-sparc64-smp - Linux 4.5 for multiprocessor 64-bit UltraSPARC
 linux-image-4.5.0-trunk-versatile - Linux 4.5 for Versatile


In ogni caso, se usi una stable, installerei il kernel da experimental solo se questo non comporta l'aggiornamento di pacchetti fondamentali di sistema.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5587
Iscritto il: 31/12/2008, 11:54

Prossimo

Torna a Kernel

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite